// Australian Defence Forces Addon Pack
// By Stu "StuKa" Saville (STU) & Damion "Steele" Maddison (STL)
// StuSav@bigpond.com

// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgPatches
{
	class STU_4RAR_Commando
      // Ver2.0 20/10/01 
	{
		units[] = {STU_4RAR_Commando};
		weapons[] = {};
		requiredVersion = 1.01;
	};

	class STU_4RAR_Medic
      // Ver2.0 20/10/01
	{
		units[] = {STU_4RAR_Medic};
		weapons[] = {};
		requiredVersion = 1.01;
	};

	class STU_4RAR_Law
      // Ver2.0 20/10/01
	{
		units[] = {STU_4RAR_LAW};
		weapons[] = {};
		requiredVersion = 1.01;
	};

	class STU_4RAR_SAW
      // Ver2.0 20/10/01
	{
		units[] = {STU_4RAR_SAW};
		weapons[] = {};
		requiredVersion = 1.01;
	};

	class STU_57RAR_MechInf
      // Ver1.0 8/11/01
	{
		units[] = {STU_57RAR_MechInf};
		weapons[] = {};
		requiredVersion = 1.30;
	};

	class STU_57RAR_Medic
      // Ver1.0 8/11/01
	{
		units[] = {STU_57RAR_Medic};
		weapons[] = {};
		requiredVersion = 1.30;
	};

	class STU_57RAR_AT
      // Ver1.0 8/11/01
	{
		units[] = {STU_57RAR_AT};
		weapons[] = {};
		requiredVersion = 1.30;
	};

	class STU_57RAR_AT_LDR
      // Ver1.0 8/11/01
	{
		units[] = {STU_57RAR_AT_LDR};
		weapons[] = {};
		requiredVersion = 1.30;
	};

	class STU_57RAR_SAW
      // Ver1.0 8/11/01
	{
		units[] = {STU_57RAR_SAW};
		weapons[] = {};
		requiredVersion = 1.01;
	};

	class STU_SASR
      // Ver1.0 8/11/01
	{
		units[] = {STU_SASR};
		weapons[] = {};
		requiredVersion = 1.30;
	};	

	class STU_SASR_Sniper
      // Ver1.0 8/11/01
	{
		units[] = {STU_SASR_Sniper};
		weapons[] = {};
		requiredVersion = 1.01;
	};	

	class STU_SASR_SAW
      // Ver1.0 8/11/01
	{
		units[] = {STU_SASR_SAW};
		weapons[] = {};
		requiredVersion = 1.01;
	};	

	class STU_Sniper
      // Ver1.0 8/11/01
	{
		units[] = {STU_Sniper};
		weapons[] = {};
		requiredVersion = 1.30;
	};	

	class STU_Spotter
      // Ver1.0 8/11/01
	{
		units[] = {STU_Spotter};
		weapons[] = {};
		requiredVersion = 1.01;
	};	

      class STU_APC_Crew
      // Ver1.0 8/11/01
	{
		units[] = {STU_APC_Crew};
		weapons[] = {};
		requiredVersion = 1.01;
	};	

      class STU_Flight_Crew
      // Ver1.0 8/11/01
	{
		units[] = {STU_Flight_Crew};
		weapons[] = {};
		requiredVersion = 1.01;
	};	

      class STU_ADF_Unarmed
      // Ver1.0 8/11/01
	{
		units[] = {STU_ADF_Unarmed};
		weapons[] = {};
		requiredVersion = 1.01;
	};	

	class STL_Minimi
      // Ver1.0 8/11/01
	{
		units[] = {};
		weapons[] = {STU_Minimi};
		requiredVersion = 1.01;
	};

	class STL_HK_PSG1
      // Ver1.0 8/11/01
	{
		units[] = {};
		weapons[] = {STU_HK_PSG1};
		requiredVersion = 1.01;
	};

	class STL_HK_PSG1_CAMO
      // Ver1.0 8/11/01
	{
		units[] = {};
		weapons[] = {STU_HK_PSG1_CAMO};
		requiredVersion = 1.01;
	};

      class STL_Carl_Gustav
      // Ver1.0 8/11/01
	{
		units[] = {};
		weapons[] = {STU_HK_PSG1};
		requiredVersion = 1.01;
	};
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgAmmo
{
	class default {};
	class BulletSingle : default{};
	class STL_Minimix : BulletSingle
      // 5.56mm F89 Minimi Ammuntion
	{
		hit=16;indirectHit=0.1;indirectHitRange=0.1;
	};

      class STL_Steyrx : BulletSingle
      // 5.56mm Steyr Ammunition
	{
		hit=10;indirectHit=0.1;indirectHitRange=0.1;
	};
   
	class Shell : Default {};
	class Heat : Shell {};
	class STL_84mmHEround : Shell 
      // 84mm High Exposive Anti-Personel Round
      {
		simulation="shotMissile";
		simulationStep=0.01000;
		initTime=0;
		thrustTime=0.20;
		thrust=3000;
		hit=250;
   		indirectHit=180;
		cost=500;
		soundHit[]={"Explosions\expl1",100.000008,1};
	};

	class STL_84mmHEATround : Heat 
      // 84mm High Explosive Anti-Tank Round
      {
		simulation="shotMissile";
		simulationStep=0.01000;
		initTime=0;
		thrustTime=0.20;
		thrust=3000;
		hit=950;
		indirectHit=400;
		indirectHitRange=1;
       };

	class STL_PSG1x : BulletSingle
      // 7.62mm HK PSG-1 Ammuntion
	{
		hit=20;indirectHit=0.1;indirectHitRange=0.1;
	};
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgWeapons
{	
      class Default{};
	class MGun:Default{};
	class Riffle:MGun{};
	class M60:Riffle{};
	class STL_Minimi: M60
      // FN Minimi Squad Automatic Weapon
	{
		displayName = "F89 Minimi";
		displayNameMagazine = "F89 Minimi";
		shortNameMagazine = "F89 5.56mm";
            picture="\STU ADF Troops\F89 Minimi\Minimi.jpg";
            ammo="STL_Minimix";
            magazineType="2*256";
            count=200;
		burst=1;
		autoFire = true;
            model="\STU ADF Troops\F89 Minimi\STU_Minimi";
   	      sound[]={\STU ADF Troops\F89 Minimi\Minimi.wav,db0,1};
	      modelOptics="\data3d\optika_HK.p3d";
	      reloadTime=0.10;
		ffCount=1;
		soundContinuous=false;
		recoil=sniperSingle;
		recoilFixed=riffleSingleFixed;
		multiplier=1;
		dispersion=0.009;
		aiRateOfFire=0.005; // delay between shots at given distance
		aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero
		useAction = false;
		useActionTitle = "";	
	};

	class SniperRiffle:Riffle {};
	class M21:SniperRiffle {};
	class SVDDragunov:M21 {};
	class STL_HK_PSG1:SVDDragunov
      // HK PSG-1 Sniper Rifle
	{
		displayName = "HK PSG-1";
		displayNameMagazine = "HK PSG-1";
		shortNameMagazine = "7.62mm";
		model="\STU ADF Troops\HK PSG-1\STU_HK_PSG-1";
            picture="\STU ADF Troops\HK PSG-1\HK PSG-1.jpg";	
		scopeMagazine = public;
		weaponType = WeaponSlotPrimary;
		drySound[]={"weapons\M16dry",db-40,1};
		sound[]={\STU ADF Troops\HK PSG-1\HK_PSG-1.wav,db-40,1};
	      optics = true;
		modelOptics="optika_snpierw";
        	opticsZoomMin=0.1000;
        	opticsZoomMax=0.6000;
        	distanceZoomMin=400;
        	distanceZoomMax=2000;
		ammo=STL_PSG1x;
		count=20;
		initSpeed=3000;
		multiplier=1;
		division=1;
		burst=1;
		dispersion=0.0001;
		maxLeadSpeed=4000;	
		soundContinuous=false;
		reloadTime=0.7;
		magazineReloadTime=1.5;			
		autoFire = false;
		autoReload = false;
		aiRateOfFire=25.0;
		aiRateOfFireDistance=5000;
		threat[]={1,0.5,0.1};
		useAction = false;
		useActionTitle = "";
	};

	class STL_HK_PSG1_CAMO:STL_HK_PSG1
      // Camo HK PSG-1 Sniper Rifle 
      {
		model="\STU ADF Troops\HK PSG-1\STU_HK_PSG-1_CAMO";	
      };

	class LAWLauncher : Default {};
	class CarlGustavLauncher:LAWLauncher{}
	class STL_84mmHE : CarlGustavLauncher 
      //CARL GUSTAV - High Explosive
      {
		displayName="CG 84mmHE";
		picture="\dtaext\equip\m\m_at4Launcher.paa";
		sound[]={"Weapons\gun73",10.000000,1};
		ffMagnitude=1;
		ffFrequency=5;
		magazineType="2*256";
		modelOptics="optika_zsu_gunner";
		ammo = "STL_84mmHEround";
		displayNameMagazine="84mm HE";
		shortNameMagazine="84mmHE";
	};

	class STL_84mmHEAT:CarlGustavLauncher
      //Carl Gustav - High Explosive Anti Tank
      {
		displayName="CG 84mmHEAT";
		picture="\dtaext\equip\m\m_at4Launcher.paa";
		sound[]={"Weapons\gun73",10.000000,1};
		ffMagnitude=1;
		ffFrequency=5;
		magazineType="2*256";
		modelOptics="optika_zsu_gunner";
		ammo = "STL_84mmHEATround";
		displayNameMagazine="84mm HEAT";
		shortNameMagazine="84mmHEAT";
		nameSound="heat";
	};

	class STL_Carl_Gustav:CarlGustavLauncher
      //Carl Gustav Launcher
      {
		modelOptics="optika_zsu_gunner";
		displayName="Carl Gustav";
		picture="\dtaext\equip\m\m_at4Launcher.paa";
		magazines[]={"STL_84mmHEAT","STL_84mmHE"};
		displayNameMagazine="84mm HEAT";
		shortNameMagazine="84mmHEAT";
      };
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
      class SoldierWG:SoldierWB{};

	class STU_4RAR_Commando:SoldierWG
      // 4th Battalion Royal Australian Regiment - Commando
      {
		displayName="4RAR Commando";
		model="\STU ADF Troops\4 RAR\STU_Commando";
            nightVision=1;
		weapons[]={"M16GrenadeLauncher","NVGoggles","Binocular","Throw","Put"};
            magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
	};

	class SoldierWLAW: SoldierWB{};
	class STU_4RAR_LAW:SoldierWLAW
      // 4th Battalion Royal Australian Regiment - Light Anti-Armor Weapon
      {
		displayName="4RAR Commando LAW";
		model="\STU ADF Troops\4 RAR\STU_Commando";
            nightVision=1;
		weapons[]={"M16GrenadeLauncher","NVGoggles","LAWLauncher","Throw","Put"};
            magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher","LAWLauncher"};
	};

	class SoldierWMG:SoldierWB{};
	class STU_4RAR_SAW:SoldierWMG
      // 4th Battalion Royal Australian Regiment - Squad Automatic Weapon
      {
		displayName="4RAR Commando SAW";
		model="\STU ADF Troops\4 RAR\STU_Commando";
            nightVision=1;
		weapons[]={"STL_Minimi","NVGoggles","Throw","Put"};
            magazines[]={"STL_Minimi","STL_Minimi","SmokeShell","SmokeShell"};
	};

      class SoldierWMedic:SoldierWB {};
	class STU_4RAR_Medic:SoldierWMedic
      // 4th Battalion Royal Australian Regiment - Medic
      {
		displayName="4RAR Commando Medic";
		model="\STU ADF Troops\4 RAR\STU_Commando";
            picture="imedic";
            nameSound="medic";
            attendant=1;
            nightVision=1;
		weapons[]={"M16GrenadeLauncher","NVGoggles","Throw","Put"};
            magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
	};

// ---------------------------------------------------------------------------------------------

	class STU_57RAR_MechInf:SoldierWB
      // 5-7th Battalion Royal Australian Regiment - Mechanized Infantry
      {
		displayName="5/7RAR Mech Inf";
		model="\STU ADF Troops\5-7 RAR\STU_MechInf";
            nightVision=1;
		weapons[]={"Steyr","NVGoggles","Throw","Put"};
            magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
	};

	class STU_57RAR_SAW:SoldierWMG
      // 5-7th Battalion Royal Australian Regiment - Squad Automatic Weapon
      {
		displayName="5/7RAR Mech Inf SAW";
		model="\STU ADF Troops\5-7 RAR\STU_MechInf";
            nightVision=1;
		weapons[]={"STL_Minimi","NVGoggles","Throw","Put"};
            magazines[]={"STL_Minimi","STL_Minimi","SmokeShell","SmokeShell"};
	};

      class STU_57RAR_Medic:SoldierWMedic
      // 5-7th Battalion Royal Australian Regiment - Medic
      {
		displayName="5/7RAR Mech Inf Medic";
		model="\STU ADF Troops\5-7 RAR\STU_MechInf";
            nightVision=1;
            picture="imedic";
            nameSound="medic";
            attendant=1;
		weapons[]={"Steyr","NVGoggles","Throw","Put"};
            magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
	};

	class SoldierWAT:SoldierWLAW{};
	class STU_57RAR_AT:SoldierWAT
      // 5-7th Battalion Royal Australian Regiment - Carl Gustav Anti-Tank Gunner
      {
		displayName="5/7RAR Mech Inf CG-AT";
		model="\STU ADF Troops\5-7 RAR\STU_MechInf";
            nightVision=1;
		weapons[]={"Steyr","NVGoggles","STL_Carl_Gustav","Throw","Put"};
            magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","STL_84mmHE","STL_84mmHEAT"};
	};

	class STU_57RAR_AT_LDR:SoldierWAT
      // 5-7th Battalion Royal Australian Regiment - Carl Gustav Anti-Tank Loader
      {
		displayName="5/7RAR Mech Inf CG-LDR";
		model="\STU ADF Troops\5-7 RAR\STU_MechInf";
            nightVision=1;
		weapons[]={"Steyr","NVGoggles","Throw","Put"};
            magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag"};
            class TransportMagazines
            {           
                  class STL_CGAT_001
                  {
                  magazine="STL_84mmHE";
                  count=4;
                  };

                  class STL_CGAT_002
                  {
                  magazine="STL_84mmHEAT";
                  count=4;
                  };
	       };
      };

// ---------------------------------------------------------------------------------------------

	class SoldierWSaboteur:SoldierWB{};
      class SoldierWSaboteurPipe:SoldierWSaboteur{};
      class SoldierWSaboteurDay:SoldierWSaboteurPipe{};
      class STU_SASR:SoldierWSaboteurDay
      // Australian Special Air Service Regiment
      {
		displayName="ADF SASR";
		model="\STU ADF Troops\SAS R\STU_SAS";
            nightVision=1;
            attendant=1;
		weapons[]={"XMS","LAWLauncher","NVGoggles","Binocular","Throw","Put"};
            magazines[]={"M4","M4","M4","M4","HandGrenade","HandGrenade","PipeBomb","PipeBomb"};
	};

	class STU_SASR_SAW:SoldierWSaboteurDay
      // Australian Special Air Service Regiment - Squad Automatic Weapon
      {
		displayName="ADF SASR SAW";
            model="\STU ADF Troops\SAS R\STU_SAS";
            nightVision=1;
            attendant=1;
		weapons[]={"STL_Minimi","NVGoggles","Throw","Put"};
            magazines[]={"STL_Minimi","STL_Minimi","SmokeShell","SmokeShell"};
	};

	class STU_SASR_Sniper:SoldierWSaboteurDay
      // Australian Special Air Service Regiment - Sniper
      {
		displayName="ADF SASR Sniper";
		model="\STU ADF Troops\SAS R\STU_SAS";
            nightVision=1;
            attendant=1;
		weapons[]={"STL_HK_PSG1","NVGoggles","Throw","Put"};
            magazines[]={"STL_HK_PSG1","STL_HK_PSG1","STL_HK_PSG1","STL_HK_PSG1","SmokeShell","SmokeShell"};
	};

// ---------------------------------------------------------------------------------------------

	class SoldierWSniper:SoldierWB{};
	class STU_Sniper:SoldierWSniper
      // Australian Defence Forces Sniper
      {
		displayName="ADF Ghillie Sniper";
            model="\STU ADF Troops\Sniper\STU_Sniper";
            nightVision=1;
		weapons[]={"STL_HK_PSG1_CAMO","NVGoggles","Throw","Put"};
            magazines[]={"STL_HK_PSG1_CAMO","STL_HK_PSG1_CAMO","STL_HK_PSG1_CAMO","STL_HK_PSG1_CAMO","SmokeShell","SmokeShell"};
	};

	class STU_Spotter:SoldierWSniper
      // Australian Defence Forces Sniper Spotter
      {
		displayName="ADF Ghillie Spotter";
            model="\STU ADF Troops\Sniper\STU_Sniper";
            nightVision=1;
		weapons[]={"Steyr","Binocular","NVGoggles","Throw","Put"};
            magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","SmokeShell","SmokeShell"};
	};

// ---------------------------------------------------------------------------------------------

	class STU_ADF_Unarmed:SoldierWB      
      // Australian Defence Forces - Unarmed Personel
      {
		displayName="ADF Unarmed";
		model="\STU ADF Troops\Unarmed\STU_Unarmed";
		weapons[]={"Throw","Put"};
            magazines[]={};
	};

	class SoldierWCrew:SoldierWB{};
	class STU_APC_Crew:SoldierWCrew 
      // Australian Defence Forces - Armoured Personel Carrier Crew
      {
		displayName="ADF APC Crew";
		model="\STU ADF Troops\APC Crew\STU_APC_Crew";
            nightVision=1;
		weapons[]={"NVGoggles","Throw","Put"};
            magazines[]={};
      };

	class SoldierWPilot:SoldierWB{};
	class STU_Flight_Crew:SoldierWPilot
      // Australian Defence Forces - BlackHawk Crew
      {
		displayName="ADF Flight Crew";
		model="\STU ADF Troops\Flight Crew\STU_Flight_Crew";
            nightVision=1;
		weapons[]={"NVGoggles","Throw","Put"};
            magazines[]={"SmokeShellRed","SmokeShellRed"};
      };
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgGroups
{
	class STU_ADF
	{
	name="Australian Defence Forces";

		class STU_ADF_RAR
		{
		name="Royal Australian Regiment";

			class STU_ADF_4RAR
			{
			name="4RAR Commando";

				class Unit0
				{
				name="1";
				side=1;
				vehicle="STU_4RAR_Commando";
				rank="Lieutnant";
				position[]={0,5};
				};

				class Unit1
				{
				name="2";
				side=1;
				vehicle="STU_4RAR_Commando";
				rank="Sergeant";
				position[]={-10,0};
				};

				class Unit2
				{
				name="3";
				side=1;
				vehicle="STU_4RAR_Commando";
				rank="Corporal";
				position[]={10,0};
				};

				class Unit3
				{
				name="4";
				side=1;
				vehicle="STU_4RAR_Medic";
				rank="Corporal";
				position[]={15,0};
				};

				class Unit4
				{
				name="5";
				side=1;
				vehicle="STU_4RAR_LAW";
				rank="Corporal";
				position[]={-15,0};
				};

				class Unit5
				{
				name="6";
				side=1;
				vehicle="STU_4RAR_LAW";
				rank="Private";
				position[]={-20,0};
				};

				class Unit6
				{
				name="7";
				side=1;
				vehicle="STU_4RAR_SAW";
				rank="Private";
				position[]={20,0};
				};

				class Unit7
				{
				name="8";
				side=1;
				vehicle="STU_4RAR_SAW";
				rank="Private";
				position[]={-25,0};
				};
			};

//-----------------------------------------------------------------------------------------------

			class STU_ADF_57RAR
			{
			name="5/7RAR Mechanised";

				class Unit0
				{
				name="1";
				side=1;
				vehicle="STU_57RAR_MechInf";
				rank="Lieutnant";
				position[]={0,5,};
				};

		    		  class Unit1
				{
				name="2";
				side=1;
				vehicle="STU_57RAR_MechInf";
				rank="Sergeant";
				position[]={-10,0};
				};

				class Unit2
				{
				name="3";
				side=1;
				vehicle="STU_57RAR_MechInf";
				rank="Corporal";
				position[]={10,0};
				};

				class Unit3
				{
				name="4";
				side=1;
				vehicle="STU_57RAR_Medic";
				rank="Corporal";
				position[]={15,0};
				};

				class Unit4
				{
				name="5";
				side=1;
				vehicle="STU_57RAR_AT";
				rank="Corporal";
				position[]={-15,0};
				};

				class Unit5
				{
				name="6";
				side=1;
				vehicle="STU_57RAR_AT_LDR";
				rank="Private";
				position[]={-20,0};
				};

				class Unit6
				{
				name="7";
				side=1;
				vehicle="STU_57RAR_SAW";
				rank="Private";
				position[]={20,0};
				};

				class Unit7
				{
				name="8";
				side=1;
				vehicle="STU_57RAR_SAW";
				rank="Private";
				position[]={-25,0};
				};

				class Unit8
			      {
				name="9";
				side=1;
				vehicle="STU_M113A1_Cam2";
				rank="Sergeant";
				position[]={25,0};
				};
			};
            };

//----------------------------------------------------------------------------------------------

		class STU_ADF_SASR
		{
		name="Special Air Service Regiment";

			class STU_ADF_SABRE
			{
			name="Sabre Squadron";

				class Unit0
				{
				name="ALPHA1";
				side=1;
				vehicle="STU_SASR";
				rank="Sergeant";
				position[]={0,5};
				};

				class Unit1
				{
				name="ALPHA2";
				side=1;
				vehicle="STU_SASR";
				rank="Corporal";
				position[]={-10,0};
				};

				class Unit2
				{
				name="ALPHA3";
				side=1;
				vehicle="STU_SASR_SAW";
				rank="Private";
				position[]={10,0};
				};

				class Unit3
				{
				name="ALPHA4";
				side=1;
				vehicle="STU_SASR_Sniper";
				rank="Private";
				position[]={-5,0};
				};

				class Unit8
				{
				name="5";
				side=1;
				vehicle="STU_S70";
				rank="Sergeant";
				position[]={-15,0};
				};
			};
		};       
	};
};

//----------------------------------------------------------------------------------------------
// --------------------------------------END FILE-----------------------------------------------
// ---------------------------------------------------------------------------------------------
